Bug 444 - Manual Credits does not support authorised values (Manual invoices do)
Summary: Manual Credits does not support authorised values (Manual invoices do)
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: PC All
: P2 enhancement (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-07 10:14 UTC by Chris Cormack
Modified: 2017-06-14 22:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: Seeking developer
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-20 23:31:17 UTC


---- Reported by Ilacis@chillco.com 2003-05-07 10:14:08 ----

cgi-bin/koha/mancredit.pl?bornum=
cgi-bin/koha/maninvoice.pl?bornum=

Both these pages have select lists of items to be invoiced and credited for but 
there is no where for a library to populate the lists with items of their own 
choosing.  mancredit lists something called a Baycorp Adjustment



---- Additional Comments From paul.poulain@biblibre.com 2003-05-10 08:02:10 ----

This is the row "accounttype" in table "accountline". It's a varchar(5)
variable.  To modify the list of possible types, just modify the template in
default/en/maninvoice.tmpl and default/en/mancredit.tmpl
I consider this not as a bug but as a "missing improvment".

In a future version, we could create a "accountlinetype" table and link this
field to this table.




---- Additional Comments From chris@bigballofwax.co.nz 2009-12-10 09:37:56 ----

This is still valid



---- Additional Comments From nengard@gmail.com 2010-02-07 14:02:34 ----

You can now add a value for the manual_invoice - but not the manual credit.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-20 23:31 UTC  ---

This bug was previously known as _bug_ 444 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=444

Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was Ilacis@chillco.com.

Comment 1 Katrin Fischer 2011-08-02 10:04:02 UTC
Perhaps this is something we could check with Robin?
He is doing a fines rewrite and might have an idea about it.
Comment 2 Irma Birchall 2015-09-03 04:24:54 UTC
Hi Paul and others, 

Now that Manual Credit is available with two options of Credit Type : Credit or Forgiven, I wonder if the support of Authorised Values is likely to be useful for some libraries. 

It is a missing improvement but would it ever be used?

If you think that the answer is "rarely" should this bug/enhancement be closed?

Cheers, 
Irma
Comment 3 Paul Poulain 2016-06-04 13:13:08 UTC
I agree with Irma, closing